cURL
curl --request POST \ --url https://api.galileo.ai/v2/projects/{project_id}/experiments/search \ --header 'Content-Type: application/json' \ --header 'Galileo-API-Key: <api-key>' \ --data ' { "starting_token": 0, "limit": 100, "filters": [ { "value": "<string>", "name": "id", "operator": "eq" } ], "sort": { "name": "created_at", "ascending": false, "sort_type": "column" }, "include_counts": false } '
{ "starting_token": 0, "limit": 100, "paginated": false, "next_starting_token": 123, "experiments": [ { "id": "<string>", "project_id": "<string>", "task_type": 0, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "name": "", "created_by": "<string>", "created_by_user": { "id": "<string>", "email": "<string>", "first_name": "<string>", "last_name": "<string>" }, "num_spans": 123, "num_traces": 123, "dataset": { "dataset_id": "<string>", "version_index": 123, "name": "<string>" }, "aggregate_metrics": {}, "structured_aggregate_metrics": {}, "aggregate_feedback": {}, "rating_aggregates": {}, "ranking_score": 123, "rank": 123, "winner": true, "playground_id": "<string>", "playground": { "playground_id": "<string>", "name": "<string>" }, "prompt_run_settings": { "logprobs": true, "top_logprobs": 5, "echo": false, "n": 1, "reasoning_effort": "medium", "verbosity": "medium", "deployment_name": "<string>", "model_alias": "gpt-5.1", "temperature": 123, "max_tokens": 4096, "stop_sequences": [ "<string>" ], "top_p": 1, "top_k": 40, "frequency_penalty": 0, "presence_penalty": 0, "tools": "<string>", "tool_choice": "<string>", "response_format": {} }, "prompt_model": "<string>", "prompt": { "prompt_template_id": "<string>", "version_index": 123, "name": "<string>", "content": "<string>" }, "tags": {}, "status": { "log_generation": { "progress_percent": 0 } } } ] }
Search experiments for a project.
Documentation IndexFetch the complete documentation index at: https://docs.galileo.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
Use this file to discover all available pages before exploring further.
Show child attributes
Successful Response
Was this page helpful?